Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Class Service7ServiceVsSuperInterface

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.Service7ServiceVsSuperInterface

public class Service7ServiceVsSuperInterface extends Object

## Constructor Summary

Constructors
Constructor
Description
`Service7ServiceVsSuperInterface()`

## Method Summary

Modifier and Type
Method
Description
`List<ServiceInterface3>`
`getInterfaceBindList()`
`List<ServiceInterface3>`
`getInterfaceDirectList()`
`List<ServiceSuperInterface3>`
`getSuperInterfaceBindList()`
`List<ServiceSuperInterface3>`
`getSuperInterfaceDirectList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service7ServiceVsSuperInterface

public Service7ServiceVsSuperInterface()

## Method Details

### getInterfaceDirectList

public List<ServiceInterface3> getInterfaceDirectList()

### getSuperInterfaceDirectList

public List<ServiceSuperInterface3> getSuperInterfaceDirectList()

### getInterfaceBindList

public List<ServiceInterface3> getInterfaceBindList()

### getSuperInterfaceBindList

public List<ServiceSuperInterface3> getSuperInterfaceBindList()